#include "GLFunctionsHeader.c"


LTL_METHOD_DECL(GL_Metagl_accum_2)
{
	GLenum op = init_iscalar(threadenv,argv,0,"glAccum");
	GLfloat value = init_fscalar(threadenv,argv,1,"glAccum");
	glAccum(op,value);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_alphaFunc_2)
{
	GLenum func = init_iscalar(threadenv,argv,0,"glAlphaFunc");
	GLclampf ref = init_fscalar(threadenv,argv,1,"glAlphaFunc");
	glAlphaFunc(func,ref);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_areTexturesResident_3)
{
	GLsizei n = init_iscalar(threadenv,argv,0,"glAreTexturesResident");
	GLuint * textures = init_ivec(threadenv,argv,1,"glAreTexturesResident");
	GLboolean * residences = init_ivec(threadenv,argv,2,"glAreTexturesResident");
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(
		ret,
		LTL_TYPE_WORD,
		glAreTexturesResident(n,textures,residences));
	return ret;
}

LTL_METHOD_DECL(GL_Metagl_arrayElement_1)
{
	GLint i = init_iscalar(threadenv,argv,0,"glArrayElement");
	glArrayElement(i);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_begin_1)
{
	GLenum mode = init_iscalar(threadenv,argv,0,"glBegin");
	glBegin(mode);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_bindTexture_2)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glBindTexture");
	GLuint texture = init_iscalar(threadenv,argv,1,"glBindTexture");
	glBindTexture(target,texture);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_blendColor_4)
{
	GLclampf red = init_fscalar(threadenv,argv,0,"glBlendColor");
	GLclampf green = init_fscalar(threadenv,argv,1,"glBlendColor");
	GLclampf blue = init_fscalar(threadenv,argv,2,"glBlendColor");
	GLclampf alpha = init_fscalar(threadenv,argv,3,"glBlendColor");
	glBlendColor(red,green,blue,alpha);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_blendEquation_1)
{
	GLenum mode = init_iscalar(threadenv,argv,0,"glBlendEquation");
	glBlendEquation(mode);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_blendFunc_2)
{
	GLenum sfactor = init_iscalar(threadenv,argv,0,"glBlendFunc");
	GLenum dfactor = init_iscalar(threadenv,argv,1,"glBlendFunc");
	glBlendFunc(sfactor,dfactor);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_callList_1)
{
	GLuint list = init_iscalar(threadenv,argv,0,"glCallList");
	glCallList(list);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_clear_1)
{
	GLbitfield mask = init_iscalar(threadenv,argv,0,"glClear");
	glClear(mask);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_clearAccum_4)
{
	GLfloat red = init_fscalar(threadenv,argv,0,"glClearAccum");
	GLfloat green = init_fscalar(threadenv,argv,1,"glClearAccum");
	GLfloat blue = init_fscalar(threadenv,argv,2,"glClearAccum");
	GLfloat alpha = init_fscalar(threadenv,argv,3,"glClearAccum");
	glClearAccum(red,green,blue,alpha);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_clearColor_4)
{
	GLclampf red = init_fscalar(threadenv,argv,0,"glClearColor");
	GLclampf green = init_fscalar(threadenv,argv,1,"glClearColor");
	GLclampf blue = init_fscalar(threadenv,argv,2,"glClearColor");
	GLclampf alpha = init_fscalar(threadenv,argv,3,"glClearColor");
	glClearColor(red,green,blue,alpha);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_clearIndex_1)
{
	GLfloat c = init_fscalar(threadenv,argv,0,"glClearIndex");
	glClearIndex(c);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_clearStencil_1)
{
	GLint s = init_iscalar(threadenv,argv,0,"glClearStencil");
	glClearStencil(s);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_color3d_3)
{
	GLdouble red = init_dscalar(threadenv,argv,0,"glColor3d");
	GLdouble green = init_dscalar(threadenv,argv,1,"glColor3d");
	GLdouble blue = init_dscalar(threadenv,argv,2,"glColor3d");
	glColor3d(red,green,blue);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_color3f_3)
{
	GLfloat red = init_fscalar(threadenv,argv,0,"glColor3f");
	GLfloat green = init_fscalar(threadenv,argv,1,"glColor3f");
	GLfloat blue = init_fscalar(threadenv,argv,2,"glColor3f");
	glColor3f(red,green,blue);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_color3fv_1)
{
	GLfloat * v = init_fvec(threadenv,argv,0,"glColor3fv");
	glColor3fv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_color3i_3)
{
	GLint red = init_iscalar(threadenv,argv,0,"glColor3i");
	GLint green = init_iscalar(threadenv,argv,1,"glColor3i");
	GLint blue = init_iscalar(threadenv,argv,2,"glColor3i");
	glColor3i(red,green,blue);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_color3iv_1)
{
	GLint * v = init_ivec(threadenv,argv,0,"glColor3iv");
	glColor3iv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_color3ui_3)
{
	GLuint red = init_iscalar(threadenv,argv,0,"glColor3ui");
	GLuint green = init_iscalar(threadenv,argv,1,"glColor3ui");
	GLuint blue = init_iscalar(threadenv,argv,2,"glColor3ui");
	glColor3ui(red,green,blue);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_color3uiv_1)
{
	GLuint * v = init_ivec(threadenv,argv,0,"glColor3uiv");
	glColor3uiv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_color4d_4)
{
	GLdouble red = init_dscalar(threadenv,argv,0,"glColor4d");
	GLdouble green = init_dscalar(threadenv,argv,1,"glColor4d");
	GLdouble blue = init_dscalar(threadenv,argv,2,"glColor4d");
	GLdouble alpha = init_dscalar(threadenv,argv,3,"glColor4d");
	glColor4d(red,green,blue,alpha);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_color4f_4)
{
	GLfloat red = init_fscalar(threadenv,argv,0,"glColor4f");
	GLfloat green = init_fscalar(threadenv,argv,1,"glColor4f");
	GLfloat blue = init_fscalar(threadenv,argv,2,"glColor4f");
	GLfloat alpha = init_fscalar(threadenv,argv,3,"glColor4f");
	glColor4f(red,green,blue,alpha);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_color4fv_1)
{
	GLfloat * v = init_fvec(threadenv,argv,0,"glColor4fv");
	glColor4fv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_color4i_4)
{
	GLint red = init_iscalar(threadenv,argv,0,"glColor4i");
	GLint green = init_iscalar(threadenv,argv,1,"glColor4i");
	GLint blue = init_iscalar(threadenv,argv,2,"glColor4i");
	GLint alpha = init_iscalar(threadenv,argv,3,"glColor4i");
	glColor4i(red,green,blue,alpha);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_color4iv_1)
{
	GLint * v = init_ivec(threadenv,argv,0,"glColor4iv");
	glColor4iv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_color4ui_4)
{
	GLuint red = init_iscalar(threadenv,argv,0,"glColor4ui");
	GLuint green = init_iscalar(threadenv,argv,1,"glColor4ui");
	GLuint blue = init_iscalar(threadenv,argv,2,"glColor4ui");
	GLuint alpha = init_iscalar(threadenv,argv,3,"glColor4ui");
	glColor4ui(red,green,blue,alpha);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_color4uiv_1)
{
	GLuint * v = init_ivec(threadenv,argv,0,"glColor4uiv");
	glColor4uiv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_colorMask_4)
{
	GLboolean red = init_iscalar(threadenv,argv,0,"glColorMask");
	GLboolean green = init_iscalar(threadenv,argv,1,"glColorMask");
	GLboolean blue = init_iscalar(threadenv,argv,2,"glColorMask");
	GLboolean alpha = init_iscalar(threadenv,argv,3,"glColorMask");
	glColorMask(red,green,blue,alpha);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_colorMaterial_2)
{
	GLenum face = init_iscalar(threadenv,argv,0,"glColorMaterial");
	GLenum mode = init_iscalar(threadenv,argv,1,"glColorMaterial");
	glColorMaterial(face,mode);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_colorTableParameterfv_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glColorTableParameterfv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glColorTableParameterfv");
	GLfloat * params = init_fvec(threadenv,argv,2,"glColorTableParameterfv");
	glColorTableParameterfv(target,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_colorTableParameteriv_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glColorTableParameteriv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glColorTableParameteriv");
	GLint * params = init_ivec(threadenv,argv,2,"glColorTableParameteriv");
	glColorTableParameteriv(target,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_convolutionParameterf_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glConvolutionParameterf");
	GLenum pname = init_iscalar(threadenv,argv,1,"glConvolutionParameterf");
	GLfloat params = init_fscalar(threadenv,argv,2,"glConvolutionParameterf");
	glConvolutionParameterf(target,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_convolutionParameterfv_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glConvolutionParameterfv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glConvolutionParameterfv");
	GLfloat * params = init_fvec(threadenv,argv,2,"glConvolutionParameterfv");
	glConvolutionParameterfv(target,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_convolutionParameteri_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glConvolutionParameteri");
	GLenum pname = init_iscalar(threadenv,argv,1,"glConvolutionParameteri");
	GLint params = init_iscalar(threadenv,argv,2,"glConvolutionParameteri");
	glConvolutionParameteri(target,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_convolutionParameteriv_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glConvolutionParameteriv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glConvolutionParameteriv");
	GLint * params = init_ivec(threadenv,argv,2,"glConvolutionParameteriv");
	glConvolutionParameteriv(target,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_copyColorSubTable_5)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glCopyColorSubTable");
	GLsizei start = init_iscalar(threadenv,argv,1,"glCopyColorSubTable");
	GLint x = init_iscalar(threadenv,argv,2,"glCopyColorSubTable");
	GLint y = init_iscalar(threadenv,argv,3,"glCopyColorSubTable");
	GLsizei width = init_iscalar(threadenv,argv,4,"glCopyColorSubTable");
	glCopyColorSubTable(target,start,x,y,width);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_copyColorTable_5)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glCopyColorTable");
	GLenum internalformat = init_iscalar(threadenv,argv,1,"glCopyColorTable");
	GLint x = init_iscalar(threadenv,argv,2,"glCopyColorTable");
	GLint y = init_iscalar(threadenv,argv,3,"glCopyColorTable");
	GLsizei width = init_iscalar(threadenv,argv,4,"glCopyColorTable");
	glCopyColorTable(target,internalformat,x,y,width);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_copyConvolutionFilter1D_5)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glCopyConvolutionFilter1D");
	GLenum internalformat = init_iscalar(threadenv,argv,1,"glCopyConvolutionFilter1D");
	GLint x = init_iscalar(threadenv,argv,2,"glCopyConvolutionFilter1D");
	GLint y = init_iscalar(threadenv,argv,3,"glCopyConvolutionFilter1D");
	GLsizei width = init_iscalar(threadenv,argv,4,"glCopyConvolutionFilter1D");
	glCopyConvolutionFilter1D(target,internalformat,x,y,width);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_copyConvolutionFilter2D_6)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glCopyConvolutionFilter2D");
	GLenum internalformat = init_iscalar(threadenv,argv,1,"glCopyConvolutionFilter2D");
	GLint x = init_iscalar(threadenv,argv,2,"glCopyConvolutionFilter2D");
	GLint y = init_iscalar(threadenv,argv,3,"glCopyConvolutionFilter2D");
	GLsizei width = init_iscalar(threadenv,argv,4,"glCopyConvolutionFilter2D");
	GLsizei height = init_iscalar(threadenv,argv,5,"glCopyConvolutionFilter2D");
	glCopyConvolutionFilter2D(target,internalformat,x,y,width,height);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_copyPixels_5)
{
	GLint x = init_iscalar(threadenv,argv,0,"glCopyPixels");
	GLint y = init_iscalar(threadenv,argv,1,"glCopyPixels");
	GLsizei width = init_iscalar(threadenv,argv,2,"glCopyPixels");
	GLsizei height = init_iscalar(threadenv,argv,3,"glCopyPixels");
	GLenum type = init_iscalar(threadenv,argv,4,"glCopyPixels");
	glCopyPixels(x,y,width,height,type);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_copyTexImage1D_7)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glCopyTexImage1D");
	GLint level = init_iscalar(threadenv,argv,1,"glCopyTexImage1D");
	GLenum internalformat = init_iscalar(threadenv,argv,2,"glCopyTexImage1D");
	GLint x = init_iscalar(threadenv,argv,3,"glCopyTexImage1D");
	GLint y = init_iscalar(threadenv,argv,4,"glCopyTexImage1D");
	GLsizei width = init_iscalar(threadenv,argv,5,"glCopyTexImage1D");
	GLint border = init_iscalar(threadenv,argv,6,"glCopyTexImage1D");
	glCopyTexImage1D(target,level,internalformat,x,y,width,border);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_copyTexImage2D_8)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glCopyTexImage2D");
	GLint level = init_iscalar(threadenv,argv,1,"glCopyTexImage2D");
	GLenum internalformat = init_iscalar(threadenv,argv,2,"glCopyTexImage2D");
	GLint x = init_iscalar(threadenv,argv,3,"glCopyTexImage2D");
	GLint y = init_iscalar(threadenv,argv,4,"glCopyTexImage2D");
	GLsizei width = init_iscalar(threadenv,argv,5,"glCopyTexImage2D");
	GLsizei height = init_iscalar(threadenv,argv,6,"glCopyTexImage2D");
	GLint border = init_iscalar(threadenv,argv,7,"glCopyTexImage2D");
	glCopyTexImage2D(target,level,internalformat,x,y,width,height,border);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_copyTexSubImage1D_6)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glCopyTexSubImage1D");
	GLint level = init_iscalar(threadenv,argv,1,"glCopyTexSubImage1D");
	GLint xoffset = init_iscalar(threadenv,argv,2,"glCopyTexSubImage1D");
	GLint x = init_iscalar(threadenv,argv,3,"glCopyTexSubImage1D");
	GLint y = init_iscalar(threadenv,argv,4,"glCopyTexSubImage1D");
	GLsizei width = init_iscalar(threadenv,argv,5,"glCopyTexSubImage1D");
	glCopyTexSubImage1D(target,level,xoffset,x,y,width);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_copyTexSubImage2D_8)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glCopyTexSubImage2D");
	GLint level = init_iscalar(threadenv,argv,1,"glCopyTexSubImage2D");
	GLint xoffset = init_iscalar(threadenv,argv,2,"glCopyTexSubImage2D");
	GLint yoffset = init_iscalar(threadenv,argv,3,"glCopyTexSubImage2D");
	GLint x = init_iscalar(threadenv,argv,4,"glCopyTexSubImage2D");
	GLint y = init_iscalar(threadenv,argv,5,"glCopyTexSubImage2D");
	GLsizei width = init_iscalar(threadenv,argv,6,"glCopyTexSubImage2D");
	GLsizei height = init_iscalar(threadenv,argv,7,"glCopyTexSubImage2D");
	glCopyTexSubImage2D(target,level,xoffset,yoffset,x,y,width,height);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_copyTexSubImage3D_9)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glCopyTexSubImage3D");
	GLint level = init_iscalar(threadenv,argv,1,"glCopyTexSubImage3D");
	GLint xoffset = init_iscalar(threadenv,argv,2,"glCopyTexSubImage3D");
	GLint yoffset = init_iscalar(threadenv,argv,3,"glCopyTexSubImage3D");
	GLint zoffset = init_iscalar(threadenv,argv,4,"glCopyTexSubImage3D");
	GLint x = init_iscalar(threadenv,argv,5,"glCopyTexSubImage3D");
	GLint y = init_iscalar(threadenv,argv,6,"glCopyTexSubImage3D");
	GLsizei width = init_iscalar(threadenv,argv,7,"glCopyTexSubImage3D");
	GLsizei height = init_iscalar(threadenv,argv,8,"glCopyTexSubImage3D");
	glCopyTexSubImage3D(target,level,xoffset,yoffset,zoffset,x,y,width,height);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_cullFace_1)
{
	GLenum mode = init_iscalar(threadenv,argv,0,"glCullFace");
	glCullFace(mode);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_deleteLists_2)
{
	GLuint list = init_iscalar(threadenv,argv,0,"glDeleteLists");
	GLsizei range = init_iscalar(threadenv,argv,1,"glDeleteLists");
	glDeleteLists(list,range);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_deleteTextures_2)
{
	GLsizei n = init_iscalar(threadenv,argv,0,"glDeleteTextures");
	GLuint * textures = init_ivec(threadenv,argv,1,"glDeleteTextures");
	glDeleteTextures(n,textures);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_depthFunc_1)
{
	GLenum func = init_iscalar(threadenv,argv,0,"glDepthFunc");
	glDepthFunc(func);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_depthMask_1)
{
	GLboolean flag = init_iscalar(threadenv,argv,0,"glDepthMask");
	glDepthMask(flag);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_disable_1)
{
	GLenum cap = init_iscalar(threadenv,argv,0,"glDisable");
	glDisable(cap);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_disableClientState_1)
{
	GLenum array = init_iscalar(threadenv,argv,0,"glDisableClientState");
	glDisableClientState(array);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_drawArrays_3)
{
	GLenum mode = init_iscalar(threadenv,argv,0,"glDrawArrays");
	GLint first = init_iscalar(threadenv,argv,1,"glDrawArrays");
	GLsizei count = init_iscalar(threadenv,argv,2,"glDrawArrays");
	glDrawArrays(mode,first,count);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_drawBuffer_1)
{
	GLenum mode = init_iscalar(threadenv,argv,0,"glDrawBuffer");
	glDrawBuffer(mode);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_edgeFlag_1)
{
	GLboolean flag = init_iscalar(threadenv,argv,0,"glEdgeFlag");
	glEdgeFlag(flag);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_edgeFlagPointer_2)
{
	GLsizei stride = init_iscalar(threadenv,argv,0,"glEdgeFlagPointer");
	GLboolean * pointer = init_ivec(threadenv,argv,1,"glEdgeFlagPointer");
	glEdgeFlagPointer(stride,pointer);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_edgeFlagv_1)
{
	GLboolean * flag = init_ivec(threadenv,argv,0,"glEdgeFlagv");
	glEdgeFlagv(flag);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_enable_1)
{
	GLenum cap = init_iscalar(threadenv,argv,0,"glEnable");
	glEnable(cap);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_enableClientState_1)
{
	GLenum array = init_iscalar(threadenv,argv,0,"glEnableClientState");
	glEnableClientState(array);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_end_0)
{
	glEnd();
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_endList_0)
{
	glEndList();
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_evalCoord1d_1)
{
	GLdouble u = init_dscalar(threadenv,argv,0,"glEvalCoord1d");
	glEvalCoord1d(u);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_evalCoord1f_1)
{
	GLfloat u = init_fscalar(threadenv,argv,0,"glEvalCoord1f");
	glEvalCoord1f(u);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_evalCoord1fv_1)
{
	GLfloat * u = init_fvec(threadenv,argv,0,"glEvalCoord1fv");
	glEvalCoord1fv(u);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_evalCoord2d_2)
{
	GLdouble u = init_dscalar(threadenv,argv,0,"glEvalCoord2d");
	GLdouble v = init_dscalar(threadenv,argv,1,"glEvalCoord2d");
	glEvalCoord2d(u,v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_evalCoord2f_2)
{
	GLfloat u = init_fscalar(threadenv,argv,0,"glEvalCoord2f");
	GLfloat v = init_fscalar(threadenv,argv,1,"glEvalCoord2f");
	glEvalCoord2f(u,v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_evalCoord2fv_1)
{
	GLfloat * u = init_fvec(threadenv,argv,0,"glEvalCoord2fv");
	glEvalCoord2fv(u);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_evalMesh1_3)
{
	GLenum mode = init_iscalar(threadenv,argv,0,"glEvalMesh1");
	GLint i1 = init_iscalar(threadenv,argv,1,"glEvalMesh1");
	GLint i2 = init_iscalar(threadenv,argv,2,"glEvalMesh1");
	glEvalMesh1(mode,i1,i2);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_evalMesh2_5)
{
	GLenum mode = init_iscalar(threadenv,argv,0,"glEvalMesh2");
	GLint i1 = init_iscalar(threadenv,argv,1,"glEvalMesh2");
	GLint i2 = init_iscalar(threadenv,argv,2,"glEvalMesh2");
	GLint j1 = init_iscalar(threadenv,argv,3,"glEvalMesh2");
	GLint j2 = init_iscalar(threadenv,argv,4,"glEvalMesh2");
	glEvalMesh2(mode,i1,i2,j1,j2);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_evalPoint1_1)
{
	GLint i = init_iscalar(threadenv,argv,0,"glEvalPoint1");
	glEvalPoint1(i);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_evalPoint2_2)
{
	GLint i = init_iscalar(threadenv,argv,0,"glEvalPoint2");
	GLint j = init_iscalar(threadenv,argv,1,"glEvalPoint2");
	glEvalPoint2(i,j);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_feedbackBuffer_3)
{
	GLsizei size = init_iscalar(threadenv,argv,0,"glFeedbackBuffer");
	GLenum type = init_iscalar(threadenv,argv,1,"glFeedbackBuffer");
	GLfloat * buffer = init_fvec(threadenv,argv,2,"glFeedbackBuffer");
	glFeedbackBuffer(size,type,buffer);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_finish_0)
{
	glFinish();
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_flush_0)
{
	glFlush();
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_fogf_2)
{
	GLenum pname = init_iscalar(threadenv,argv,0,"glFogf");
	GLfloat param = init_fscalar(threadenv,argv,1,"glFogf");
	glFogf(pname,param);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_fogfv_2)
{
	GLenum pname = init_iscalar(threadenv,argv,0,"glFogfv");
	GLfloat * params = init_fvec(threadenv,argv,1,"glFogfv");
	glFogfv(pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_fogi_2)
{
	GLenum pname = init_iscalar(threadenv,argv,0,"glFogi");
	GLint param = init_iscalar(threadenv,argv,1,"glFogi");
	glFogi(pname,param);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_fogiv_2)
{
	GLenum pname = init_iscalar(threadenv,argv,0,"glFogiv");
	GLint * params = init_ivec(threadenv,argv,1,"glFogiv");
	glFogiv(pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_frontFace_1)
{
	GLenum mode = init_iscalar(threadenv,argv,0,"glFrontFace");
	glFrontFace(mode);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_frustum_6)
{
	GLdouble left = init_dscalar(threadenv,argv,0,"glFrustum");
	GLdouble right = init_dscalar(threadenv,argv,1,"glFrustum");
	GLdouble bottom = init_dscalar(threadenv,argv,2,"glFrustum");
	GLdouble top = init_dscalar(threadenv,argv,3,"glFrustum");
	GLdouble near = init_dscalar(threadenv,argv,4,"glFrustum");
	GLdouble far = init_dscalar(threadenv,argv,5,"glFrustum");
	glFrustum(left,right,bottom,top,near,far);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_genLists_1)
{
	GLsizei range = init_iscalar(threadenv,argv,0,"glGenLists");
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(
		ret,
		LTL_TYPE_WORD,
		glGenLists(range));
	return ret;
}

LTL_METHOD_DECL(GL_Metagl_genTextures_2)
{
	GLsizei n = init_iscalar(threadenv,argv,0,"glGenTextures");
	GLuint * textures = init_ivec(threadenv,argv,1,"glGenTextures");
	glGenTextures(n,textures);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getBooleanv_2)
{
	GLenum pname = init_iscalar(threadenv,argv,0,"glGetBooleanv");
	GLboolean * params = init_ivec(threadenv,argv,1,"glGetBooleanv");
	glGetBooleanv(pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getColorTableParameterfv_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glGetColorTableParameterfv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glGetColorTableParameterfv");
	GLfloat * params = init_fvec(threadenv,argv,2,"glGetColorTableParameterfv");
	glGetColorTableParameterfv(target,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getColorTableParameteriv_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glGetColorTableParameteriv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glGetColorTableParameteriv");
	GLint * params = init_ivec(threadenv,argv,2,"glGetColorTableParameteriv");
	glGetColorTableParameteriv(target,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getConvolutionParameterfv_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glGetConvolutionParameterfv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glGetConvolutionParameterfv");
	GLfloat * params = init_fvec(threadenv,argv,2,"glGetConvolutionParameterfv");
	glGetConvolutionParameterfv(target,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getConvolutionParameteriv_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glGetConvolutionParameteriv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glGetConvolutionParameteriv");
	GLint * params = init_ivec(threadenv,argv,2,"glGetConvolutionParameteriv");
	glGetConvolutionParameteriv(target,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getError_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(
		ret,
		LTL_TYPE_WORD,
		glGetError());
	return ret;
}

LTL_METHOD_DECL(GL_Metagl_getFloatv_2)
{
	GLenum pname = init_iscalar(threadenv,argv,0,"glGetFloatv");
	GLfloat * params = init_fvec(threadenv,argv,1,"glGetFloatv");
	glGetFloatv(pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getHistogramParameterfv_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glGetHistogramParameterfv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glGetHistogramParameterfv");
	GLfloat * params = init_fvec(threadenv,argv,2,"glGetHistogramParameterfv");
	glGetHistogramParameterfv(target,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getHistogramParameteriv_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glGetHistogramParameteriv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glGetHistogramParameteriv");
	GLint * params = init_ivec(threadenv,argv,2,"glGetHistogramParameteriv");
	glGetHistogramParameteriv(target,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getIntegerv_2)
{
	GLenum pname = init_iscalar(threadenv,argv,0,"glGetIntegerv");
	GLint * params = init_ivec(threadenv,argv,1,"glGetIntegerv");
	glGetIntegerv(pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getLightfv_3)
{
	GLenum light = init_iscalar(threadenv,argv,0,"glGetLightfv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glGetLightfv");
	GLfloat * params = init_fvec(threadenv,argv,2,"glGetLightfv");
	glGetLightfv(light,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getLightiv_3)
{
	GLenum light = init_iscalar(threadenv,argv,0,"glGetLightiv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glGetLightiv");
	GLint * params = init_ivec(threadenv,argv,2,"glGetLightiv");
	glGetLightiv(light,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getMapfv_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glGetMapfv");
	GLenum query = init_iscalar(threadenv,argv,1,"glGetMapfv");
	GLfloat * v = init_fvec(threadenv,argv,2,"glGetMapfv");
	glGetMapfv(target,query,v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getMapiv_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glGetMapiv");
	GLenum query = init_iscalar(threadenv,argv,1,"glGetMapiv");
	GLint * v = init_ivec(threadenv,argv,2,"glGetMapiv");
	glGetMapiv(target,query,v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getMaterialfv_3)
{
	GLenum face = init_iscalar(threadenv,argv,0,"glGetMaterialfv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glGetMaterialfv");
	GLfloat * params = init_fvec(threadenv,argv,2,"glGetMaterialfv");
	glGetMaterialfv(face,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getMaterialiv_3)
{
	GLenum face = init_iscalar(threadenv,argv,0,"glGetMaterialiv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glGetMaterialiv");
	GLint * params = init_ivec(threadenv,argv,2,"glGetMaterialiv");
	glGetMaterialiv(face,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getMinmaxParameterfv_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glGetMinmaxParameterfv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glGetMinmaxParameterfv");
	GLfloat * params = init_fvec(threadenv,argv,2,"glGetMinmaxParameterfv");
	glGetMinmaxParameterfv(target,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getMinmaxParameteriv_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glGetMinmaxParameteriv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glGetMinmaxParameteriv");
	GLint * params = init_ivec(threadenv,argv,2,"glGetMinmaxParameteriv");
	glGetMinmaxParameteriv(target,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getPixelMapfv_2)
{
	GLenum map = init_iscalar(threadenv,argv,0,"glGetPixelMapfv");
	GLfloat * values = init_fvec(threadenv,argv,1,"glGetPixelMapfv");
	glGetPixelMapfv(map,values);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getPixelMapuiv_2)
{
	GLenum map = init_iscalar(threadenv,argv,0,"glGetPixelMapuiv");
	GLuint * values = init_ivec(threadenv,argv,1,"glGetPixelMapuiv");
	glGetPixelMapuiv(map,values);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getString_1)
{
	GLenum name = init_iscalar(threadenv,argv,0,"glGetString");
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(
		ret,
		LTL_TYPE_WORD,
		glGetString(name));
	return ret;
}

LTL_METHOD_DECL(GL_Metagl_getTexEnvfv_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glGetTexEnvfv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glGetTexEnvfv");
	GLfloat * params = init_fvec(threadenv,argv,2,"glGetTexEnvfv");
	glGetTexEnvfv(target,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getTexEnviv_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glGetTexEnviv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glGetTexEnviv");
	GLint * params = init_ivec(threadenv,argv,2,"glGetTexEnviv");
	glGetTexEnviv(target,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getTexGenfv_3)
{
	GLenum coord = init_iscalar(threadenv,argv,0,"glGetTexGenfv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glGetTexGenfv");
	GLfloat * params = init_fvec(threadenv,argv,2,"glGetTexGenfv");
	glGetTexGenfv(coord,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getTexGeniv_3)
{
	GLenum coord = init_iscalar(threadenv,argv,0,"glGetTexGeniv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glGetTexGeniv");
	GLint * params = init_ivec(threadenv,argv,2,"glGetTexGeniv");
	glGetTexGeniv(coord,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getTexLevelParameterfv_4)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glGetTexLevelParameterfv");
	GLint level = init_iscalar(threadenv,argv,1,"glGetTexLevelParameterfv");
	GLenum pname = init_iscalar(threadenv,argv,2,"glGetTexLevelParameterfv");
	GLfloat * params = init_fvec(threadenv,argv,3,"glGetTexLevelParameterfv");
	glGetTexLevelParameterfv(target,level,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getTexLevelParameteriv_4)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glGetTexLevelParameteriv");
	GLint level = init_iscalar(threadenv,argv,1,"glGetTexLevelParameteriv");
	GLenum pname = init_iscalar(threadenv,argv,2,"glGetTexLevelParameteriv");
	GLint * params = init_ivec(threadenv,argv,3,"glGetTexLevelParameteriv");
	glGetTexLevelParameteriv(target,level,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getTexParameterfv_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glGetTexParameterfv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glGetTexParameterfv");
	GLfloat * params = init_fvec(threadenv,argv,2,"glGetTexParameterfv");
	glGetTexParameterfv(target,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_getTexParameteriv_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glGetTexParameteriv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glGetTexParameteriv");
	GLint * params = init_ivec(threadenv,argv,2,"glGetTexParameteriv");
	glGetTexParameteriv(target,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_hint_2)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glHint");
	GLenum mode = init_iscalar(threadenv,argv,1,"glHint");
	glHint(target,mode);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_histogram_4)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glHistogram");
	GLsizei width = init_iscalar(threadenv,argv,1,"glHistogram");
	GLenum internalformat = init_iscalar(threadenv,argv,2,"glHistogram");
	GLboolean sink = init_iscalar(threadenv,argv,3,"glHistogram");
	glHistogram(target,width,internalformat,sink);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_indexMask_1)
{
	GLuint mask = init_iscalar(threadenv,argv,0,"glIndexMask");
	glIndexMask(mask);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_indexd_1)
{
	GLdouble c = init_dscalar(threadenv,argv,0,"glIndexd");
	glIndexd(c);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_indexf_1)
{
	GLfloat c = init_fscalar(threadenv,argv,0,"glIndexf");
	glIndexf(c);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_indexfv_1)
{
	GLfloat * c = init_fvec(threadenv,argv,0,"glIndexfv");
	glIndexfv(c);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_indexi_1)
{
	GLint c = init_iscalar(threadenv,argv,0,"glIndexi");
	glIndexi(c);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_indexiv_1)
{
	GLint * c = init_ivec(threadenv,argv,0,"glIndexiv");
	glIndexiv(c);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_initNames_0)
{
	glInitNames();
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_isEnabled_1)
{
	GLenum cap = init_iscalar(threadenv,argv,0,"glIsEnabled");
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(
		ret,
		LTL_TYPE_WORD,
		glIsEnabled(cap));
	return ret;
}

LTL_METHOD_DECL(GL_Metagl_isList_1)
{
	GLuint list = init_iscalar(threadenv,argv,0,"glIsList");
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(
		ret,
		LTL_TYPE_WORD,
		glIsList(list));
	return ret;
}

LTL_METHOD_DECL(GL_Metagl_isTexture_1)
{
	GLuint texture = init_iscalar(threadenv,argv,0,"glIsTexture");
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(
		ret,
		LTL_TYPE_WORD,
		glIsTexture(texture));
	return ret;
}

LTL_METHOD_DECL(GL_Metagl_lightModelf_2)
{
	GLenum pname = init_iscalar(threadenv,argv,0,"glLightModelf");
	GLfloat param = init_fscalar(threadenv,argv,1,"glLightModelf");
	glLightModelf(pname,param);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_lightModelfv_2)
{
	GLenum pname = init_iscalar(threadenv,argv,0,"glLightModelfv");
	GLfloat * params = init_fvec(threadenv,argv,1,"glLightModelfv");
	glLightModelfv(pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_lightModeli_2)
{
	GLenum pname = init_iscalar(threadenv,argv,0,"glLightModeli");
	GLint param = init_iscalar(threadenv,argv,1,"glLightModeli");
	glLightModeli(pname,param);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_lightModeliv_2)
{
	GLenum pname = init_iscalar(threadenv,argv,0,"glLightModeliv");
	GLint * params = init_ivec(threadenv,argv,1,"glLightModeliv");
	glLightModeliv(pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_lightf_3)
{
	GLenum light = init_iscalar(threadenv,argv,0,"glLightf");
	GLenum pname = init_iscalar(threadenv,argv,1,"glLightf");
	GLfloat param = init_fscalar(threadenv,argv,2,"glLightf");
	glLightf(light,pname,param);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_lightfv_3)
{
	GLenum light = init_iscalar(threadenv,argv,0,"glLightfv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glLightfv");
	GLfloat * params = init_fvec(threadenv,argv,2,"glLightfv");
	glLightfv(light,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_lighti_3)
{
	GLenum light = init_iscalar(threadenv,argv,0,"glLighti");
	GLenum pname = init_iscalar(threadenv,argv,1,"glLighti");
	GLint param = init_iscalar(threadenv,argv,2,"glLighti");
	glLighti(light,pname,param);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_lightiv_3)
{
	GLenum light = init_iscalar(threadenv,argv,0,"glLightiv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glLightiv");
	GLint * params = init_ivec(threadenv,argv,2,"glLightiv");
	glLightiv(light,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_lineWidth_1)
{
	GLfloat width = init_fscalar(threadenv,argv,0,"glLineWidth");
	glLineWidth(width);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_listBase_1)
{
	GLuint base = init_iscalar(threadenv,argv,0,"glListBase");
	glListBase(base);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_loadIdentity_0)
{
	glLoadIdentity();
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_loadMatrixf_1)
{
	GLfloat * m = init_fvec(threadenv,argv,0,"glLoadMatrixf");
	glLoadMatrixf(m);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_loadName_1)
{
	GLuint name = init_iscalar(threadenv,argv,0,"glLoadName");
	glLoadName(name);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_logicOp_1)
{
	GLenum opcode = init_iscalar(threadenv,argv,0,"glLogicOp");
	glLogicOp(opcode);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_map1f_6)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glMap1f");
	GLfloat u1 = init_fscalar(threadenv,argv,1,"glMap1f");
	GLfloat u2 = init_fscalar(threadenv,argv,2,"glMap1f");
	GLint stride = init_iscalar(threadenv,argv,3,"glMap1f");
	GLint order = init_iscalar(threadenv,argv,4,"glMap1f");
	GLfloat * points = init_fvec(threadenv,argv,5,"glMap1f");
	glMap1f(target,u1,u2,stride,order,points);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_map2f_10)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glMap2f");
	GLfloat u1 = init_fscalar(threadenv,argv,1,"glMap2f");
	GLfloat u2 = init_fscalar(threadenv,argv,2,"glMap2f");
	GLint ustride = init_iscalar(threadenv,argv,3,"glMap2f");
	GLint uorder = init_iscalar(threadenv,argv,4,"glMap2f");
	GLfloat v1 = init_fscalar(threadenv,argv,5,"glMap2f");
	GLfloat v2 = init_fscalar(threadenv,argv,6,"glMap2f");
	GLint vstride = init_iscalar(threadenv,argv,7,"glMap2f");
	GLint vorder = init_iscalar(threadenv,argv,8,"glMap2f");
	GLfloat * points = init_fvec(threadenv,argv,9,"glMap2f");
	glMap2f(target,u1,u2,ustride,uorder,v1,v2,vstride,vorder,points);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_mapGrid1d_3)
{
	GLint un = init_iscalar(threadenv,argv,0,"glMapGrid1d");
	GLdouble u1 = init_dscalar(threadenv,argv,1,"glMapGrid1d");
	GLdouble u2 = init_dscalar(threadenv,argv,2,"glMapGrid1d");
	glMapGrid1d(un,u1,u2);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_mapGrid1f_3)
{
	GLint un = init_iscalar(threadenv,argv,0,"glMapGrid1f");
	GLfloat u1 = init_fscalar(threadenv,argv,1,"glMapGrid1f");
	GLfloat u2 = init_fscalar(threadenv,argv,2,"glMapGrid1f");
	glMapGrid1f(un,u1,u2);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_mapGrid2d_6)
{
	GLint un = init_iscalar(threadenv,argv,0,"glMapGrid2d");
	GLdouble u1 = init_dscalar(threadenv,argv,1,"glMapGrid2d");
	GLdouble u2 = init_dscalar(threadenv,argv,2,"glMapGrid2d");
	GLint vn = init_iscalar(threadenv,argv,3,"glMapGrid2d");
	GLdouble v1 = init_dscalar(threadenv,argv,4,"glMapGrid2d");
	GLdouble v2 = init_dscalar(threadenv,argv,5,"glMapGrid2d");
	glMapGrid2d(un,u1,u2,vn,v1,v2);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_mapGrid2f_6)
{
	GLint un = init_iscalar(threadenv,argv,0,"glMapGrid2f");
	GLfloat u1 = init_fscalar(threadenv,argv,1,"glMapGrid2f");
	GLfloat u2 = init_fscalar(threadenv,argv,2,"glMapGrid2f");
	GLint vn = init_iscalar(threadenv,argv,3,"glMapGrid2f");
	GLfloat v1 = init_fscalar(threadenv,argv,4,"glMapGrid2f");
	GLfloat v2 = init_fscalar(threadenv,argv,5,"glMapGrid2f");
	glMapGrid2f(un,u1,u2,vn,v1,v2);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_materialf_3)
{
	GLenum face = init_iscalar(threadenv,argv,0,"glMaterialf");
	GLenum pname = init_iscalar(threadenv,argv,1,"glMaterialf");
	GLfloat param = init_fscalar(threadenv,argv,2,"glMaterialf");
	glMaterialf(face,pname,param);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_materialfv_3)
{
	GLenum face = init_iscalar(threadenv,argv,0,"glMaterialfv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glMaterialfv");
	GLfloat * params = init_fvec(threadenv,argv,2,"glMaterialfv");
	glMaterialfv(face,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_materiali_3)
{
	GLenum face = init_iscalar(threadenv,argv,0,"glMateriali");
	GLenum pname = init_iscalar(threadenv,argv,1,"glMateriali");
	GLint param = init_iscalar(threadenv,argv,2,"glMateriali");
	glMateriali(face,pname,param);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_materialiv_3)
{
	GLenum face = init_iscalar(threadenv,argv,0,"glMaterialiv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glMaterialiv");
	GLint * params = init_ivec(threadenv,argv,2,"glMaterialiv");
	glMaterialiv(face,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_matrixMode_1)
{
	GLenum mode = init_iscalar(threadenv,argv,0,"glMatrixMode");
	glMatrixMode(mode);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_minmax_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glMinmax");
	GLenum internalformat = init_iscalar(threadenv,argv,1,"glMinmax");
	GLboolean sink = init_iscalar(threadenv,argv,2,"glMinmax");
	glMinmax(target,internalformat,sink);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_multMatrixf_1)
{
	GLfloat * m = init_fvec(threadenv,argv,0,"glMultMatrixf");
	glMultMatrixf(m);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_newList_2)
{
	GLuint list = init_iscalar(threadenv,argv,0,"glNewList");
	GLenum mode = init_iscalar(threadenv,argv,1,"glNewList");
	glNewList(list,mode);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_normal3d_3)
{
	GLdouble nx = init_dscalar(threadenv,argv,0,"glNormal3d");
	GLdouble ny = init_dscalar(threadenv,argv,1,"glNormal3d");
	GLdouble nz = init_dscalar(threadenv,argv,2,"glNormal3d");
	glNormal3d(nx,ny,nz);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_normal3f_3)
{
	GLfloat nx = init_fscalar(threadenv,argv,0,"glNormal3f");
	GLfloat ny = init_fscalar(threadenv,argv,1,"glNormal3f");
	GLfloat nz = init_fscalar(threadenv,argv,2,"glNormal3f");
	glNormal3f(nx,ny,nz);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_normal3fv_1)
{
	GLfloat * v = init_fvec(threadenv,argv,0,"glNormal3fv");
	glNormal3fv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_normal3i_3)
{
	GLint nx = init_iscalar(threadenv,argv,0,"glNormal3i");
	GLint ny = init_iscalar(threadenv,argv,1,"glNormal3i");
	GLint nz = init_iscalar(threadenv,argv,2,"glNormal3i");
	glNormal3i(nx,ny,nz);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_normal3iv_1)
{
	GLint * v = init_ivec(threadenv,argv,0,"glNormal3iv");
	glNormal3iv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_ortho_6)
{
	GLdouble left = init_dscalar(threadenv,argv,0,"glOrtho");
	GLdouble right = init_dscalar(threadenv,argv,1,"glOrtho");
	GLdouble bottom = init_dscalar(threadenv,argv,2,"glOrtho");
	GLdouble top = init_dscalar(threadenv,argv,3,"glOrtho");
	GLdouble near = init_dscalar(threadenv,argv,4,"glOrtho");
	GLdouble far = init_dscalar(threadenv,argv,5,"glOrtho");
	glOrtho(left,right,bottom,top,near,far);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_passThrough_1)
{
	GLfloat token = init_fscalar(threadenv,argv,0,"glPassThrough");
	glPassThrough(token);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_pixelMapfv_3)
{
	GLenum map = init_iscalar(threadenv,argv,0,"glPixelMapfv");
	GLint mapsize = init_iscalar(threadenv,argv,1,"glPixelMapfv");
	GLfloat * values = init_fvec(threadenv,argv,2,"glPixelMapfv");
	glPixelMapfv(map,mapsize,values);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_pixelMapuiv_3)
{
	GLenum map = init_iscalar(threadenv,argv,0,"glPixelMapuiv");
	GLint mapsize = init_iscalar(threadenv,argv,1,"glPixelMapuiv");
	GLuint * values = init_ivec(threadenv,argv,2,"glPixelMapuiv");
	glPixelMapuiv(map,mapsize,values);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_pixelStoref_2)
{
	GLenum pname = init_iscalar(threadenv,argv,0,"glPixelStoref");
	GLfloat param = init_fscalar(threadenv,argv,1,"glPixelStoref");
	glPixelStoref(pname,param);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_pixelStorei_2)
{
	GLenum pname = init_iscalar(threadenv,argv,0,"glPixelStorei");
	GLint param = init_iscalar(threadenv,argv,1,"glPixelStorei");
	glPixelStorei(pname,param);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_pixelTransferf_2)
{
	GLenum pname = init_iscalar(threadenv,argv,0,"glPixelTransferf");
	GLfloat param = init_fscalar(threadenv,argv,1,"glPixelTransferf");
	glPixelTransferf(pname,param);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_pixelTransferi_2)
{
	GLenum pname = init_iscalar(threadenv,argv,0,"glPixelTransferi");
	GLint param = init_iscalar(threadenv,argv,1,"glPixelTransferi");
	glPixelTransferi(pname,param);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_pixelZoom_2)
{
	GLfloat xfactor = init_fscalar(threadenv,argv,0,"glPixelZoom");
	GLfloat yfactor = init_fscalar(threadenv,argv,1,"glPixelZoom");
	glPixelZoom(xfactor,yfactor);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_pointSize_1)
{
	GLfloat size = init_fscalar(threadenv,argv,0,"glPointSize");
	glPointSize(size);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_polygonMode_2)
{
	GLenum face = init_iscalar(threadenv,argv,0,"glPolygonMode");
	GLenum mode = init_iscalar(threadenv,argv,1,"glPolygonMode");
	glPolygonMode(face,mode);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_polygonOffset_2)
{
	GLfloat factor = init_fscalar(threadenv,argv,0,"glPolygonOffset");
	GLfloat units = init_fscalar(threadenv,argv,1,"glPolygonOffset");
	glPolygonOffset(factor,units);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_popAttrib_0)
{
	glPopAttrib();
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_popClientAttrib_0)
{
	glPopClientAttrib();
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_popMatrix_0)
{
	glPopMatrix();
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_popName_0)
{
	glPopName();
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_prioritizeTextures_3)
{
	GLsizei n = init_iscalar(threadenv,argv,0,"glPrioritizeTextures");
	GLuint * textures = init_ivec(threadenv,argv,1,"glPrioritizeTextures");
	GLclampf * priorities = init_fvec(threadenv,argv,2,"glPrioritizeTextures");
	glPrioritizeTextures(n,textures,priorities);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_pushAttrib_1)
{
	GLbitfield mask = init_iscalar(threadenv,argv,0,"glPushAttrib");
	glPushAttrib(mask);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_pushClientAttrib_1)
{
	GLbitfield mask = init_iscalar(threadenv,argv,0,"glPushClientAttrib");
	glPushClientAttrib(mask);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_pushMatrix_0)
{
	glPushMatrix();
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_pushName_1)
{
	GLuint name = init_iscalar(threadenv,argv,0,"glPushName");
	glPushName(name);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_rasterPos2d_2)
{
	GLdouble x = init_dscalar(threadenv,argv,0,"glRasterPos2d");
	GLdouble y = init_dscalar(threadenv,argv,1,"glRasterPos2d");
	glRasterPos2d(x,y);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_rasterPos2f_2)
{
	GLfloat x = init_fscalar(threadenv,argv,0,"glRasterPos2f");
	GLfloat y = init_fscalar(threadenv,argv,1,"glRasterPos2f");
	glRasterPos2f(x,y);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_rasterPos2fv_1)
{
	GLfloat * v = init_fvec(threadenv,argv,0,"glRasterPos2fv");
	glRasterPos2fv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_rasterPos2i_2)
{
	GLint x = init_iscalar(threadenv,argv,0,"glRasterPos2i");
	GLint y = init_iscalar(threadenv,argv,1,"glRasterPos2i");
	glRasterPos2i(x,y);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_rasterPos2iv_1)
{
	GLint * v = init_ivec(threadenv,argv,0,"glRasterPos2iv");
	glRasterPos2iv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_rasterPos3d_3)
{
	GLdouble x = init_dscalar(threadenv,argv,0,"glRasterPos3d");
	GLdouble y = init_dscalar(threadenv,argv,1,"glRasterPos3d");
	GLdouble z = init_dscalar(threadenv,argv,2,"glRasterPos3d");
	glRasterPos3d(x,y,z);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_rasterPos3f_3)
{
	GLfloat x = init_fscalar(threadenv,argv,0,"glRasterPos3f");
	GLfloat y = init_fscalar(threadenv,argv,1,"glRasterPos3f");
	GLfloat z = init_fscalar(threadenv,argv,2,"glRasterPos3f");
	glRasterPos3f(x,y,z);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_rasterPos3fv_1)
{
	GLfloat * v = init_fvec(threadenv,argv,0,"glRasterPos3fv");
	glRasterPos3fv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_rasterPos3i_3)
{
	GLint x = init_iscalar(threadenv,argv,0,"glRasterPos3i");
	GLint y = init_iscalar(threadenv,argv,1,"glRasterPos3i");
	GLint z = init_iscalar(threadenv,argv,2,"glRasterPos3i");
	glRasterPos3i(x,y,z);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_rasterPos3iv_1)
{
	GLint * v = init_ivec(threadenv,argv,0,"glRasterPos3iv");
	glRasterPos3iv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_rasterPos4d_4)
{
	GLdouble x = init_dscalar(threadenv,argv,0,"glRasterPos4d");
	GLdouble y = init_dscalar(threadenv,argv,1,"glRasterPos4d");
	GLdouble z = init_dscalar(threadenv,argv,2,"glRasterPos4d");
	GLdouble w = init_dscalar(threadenv,argv,3,"glRasterPos4d");
	glRasterPos4d(x,y,z,w);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_rasterPos4f_4)
{
	GLfloat x = init_fscalar(threadenv,argv,0,"glRasterPos4f");
	GLfloat y = init_fscalar(threadenv,argv,1,"glRasterPos4f");
	GLfloat z = init_fscalar(threadenv,argv,2,"glRasterPos4f");
	GLfloat w = init_fscalar(threadenv,argv,3,"glRasterPos4f");
	glRasterPos4f(x,y,z,w);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_rasterPos4fv_1)
{
	GLfloat * v = init_fvec(threadenv,argv,0,"glRasterPos4fv");
	glRasterPos4fv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_rasterPos4i_4)
{
	GLint x = init_iscalar(threadenv,argv,0,"glRasterPos4i");
	GLint y = init_iscalar(threadenv,argv,1,"glRasterPos4i");
	GLint z = init_iscalar(threadenv,argv,2,"glRasterPos4i");
	GLint w = init_iscalar(threadenv,argv,3,"glRasterPos4i");
	glRasterPos4i(x,y,z,w);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_rasterPos4iv_1)
{
	GLint * v = init_ivec(threadenv,argv,0,"glRasterPos4iv");
	glRasterPos4iv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_readBuffer_1)
{
	GLenum mode = init_iscalar(threadenv,argv,0,"glReadBuffer");
	glReadBuffer(mode);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_rectd_4)
{
	GLdouble x1 = init_dscalar(threadenv,argv,0,"glRectd");
	GLdouble y1 = init_dscalar(threadenv,argv,1,"glRectd");
	GLdouble x2 = init_dscalar(threadenv,argv,2,"glRectd");
	GLdouble y2 = init_dscalar(threadenv,argv,3,"glRectd");
	glRectd(x1,y1,x2,y2);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_rectf_4)
{
	GLfloat x1 = init_fscalar(threadenv,argv,0,"glRectf");
	GLfloat y1 = init_fscalar(threadenv,argv,1,"glRectf");
	GLfloat x2 = init_fscalar(threadenv,argv,2,"glRectf");
	GLfloat y2 = init_fscalar(threadenv,argv,3,"glRectf");
	glRectf(x1,y1,x2,y2);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_rectfv_2)
{
	GLfloat * v1 = init_fvec(threadenv,argv,0,"glRectfv");
	GLfloat * v2 = init_fvec(threadenv,argv,1,"glRectfv");
	glRectfv(v1,v2);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_recti_4)
{
	GLint x1 = init_iscalar(threadenv,argv,0,"glRecti");
	GLint y1 = init_iscalar(threadenv,argv,1,"glRecti");
	GLint x2 = init_iscalar(threadenv,argv,2,"glRecti");
	GLint y2 = init_iscalar(threadenv,argv,3,"glRecti");
	glRecti(x1,y1,x2,y2);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_rectiv_2)
{
	GLint * v1 = init_ivec(threadenv,argv,0,"glRectiv");
	GLint * v2 = init_ivec(threadenv,argv,1,"glRectiv");
	glRectiv(v1,v2);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_renderMode_1)
{
	GLenum mode = init_iscalar(threadenv,argv,0,"glRenderMode");
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(
		ret,
		LTL_TYPE_WORD,
		glRenderMode(mode));
	return ret;
}

LTL_METHOD_DECL(GL_Metagl_resetHistogram_1)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glResetHistogram");
	glResetHistogram(target);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_resetMinmax_1)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glResetMinmax");
	glResetMinmax(target);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_rotated_4)
{
	GLdouble angle = init_dscalar(threadenv,argv,0,"glRotated");
	GLdouble x = init_dscalar(threadenv,argv,1,"glRotated");
	GLdouble y = init_dscalar(threadenv,argv,2,"glRotated");
	GLdouble z = init_dscalar(threadenv,argv,3,"glRotated");
	glRotated(angle,x,y,z);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_rotatef_4)
{
	GLfloat angle = init_fscalar(threadenv,argv,0,"glRotatef");
	GLfloat x = init_fscalar(threadenv,argv,1,"glRotatef");
	GLfloat y = init_fscalar(threadenv,argv,2,"glRotatef");
	GLfloat z = init_fscalar(threadenv,argv,3,"glRotatef");
	glRotatef(angle,x,y,z);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_scaled_3)
{
	GLdouble x = init_dscalar(threadenv,argv,0,"glScaled");
	GLdouble y = init_dscalar(threadenv,argv,1,"glScaled");
	GLdouble z = init_dscalar(threadenv,argv,2,"glScaled");
	glScaled(x,y,z);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_scalef_3)
{
	GLfloat x = init_fscalar(threadenv,argv,0,"glScalef");
	GLfloat y = init_fscalar(threadenv,argv,1,"glScalef");
	GLfloat z = init_fscalar(threadenv,argv,2,"glScalef");
	glScalef(x,y,z);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_scissor_4)
{
	GLint x = init_iscalar(threadenv,argv,0,"glScissor");
	GLint y = init_iscalar(threadenv,argv,1,"glScissor");
	GLsizei width = init_iscalar(threadenv,argv,2,"glScissor");
	GLsizei height = init_iscalar(threadenv,argv,3,"glScissor");
	glScissor(x,y,width,height);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_selectBuffer_2)
{
	GLsizei size = init_iscalar(threadenv,argv,0,"glSelectBuffer");
	GLuint * buffer = init_ivec(threadenv,argv,1,"glSelectBuffer");
	glSelectBuffer(size,buffer);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_shadeModel_1)
{
	GLenum mode = init_iscalar(threadenv,argv,0,"glShadeModel");
	glShadeModel(mode);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_stencilFunc_3)
{
	GLenum func = init_iscalar(threadenv,argv,0,"glStencilFunc");
	GLint ref = init_iscalar(threadenv,argv,1,"glStencilFunc");
	GLuint mask = init_iscalar(threadenv,argv,2,"glStencilFunc");
	glStencilFunc(func,ref,mask);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_stencilMask_1)
{
	GLuint mask = init_iscalar(threadenv,argv,0,"glStencilMask");
	glStencilMask(mask);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_stencilOp_3)
{
	GLenum fail = init_iscalar(threadenv,argv,0,"glStencilOp");
	GLenum zfail = init_iscalar(threadenv,argv,1,"glStencilOp");
	GLenum zpass = init_iscalar(threadenv,argv,2,"glStencilOp");
	glStencilOp(fail,zfail,zpass);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texCoord1d_1)
{
	GLdouble s = init_dscalar(threadenv,argv,0,"glTexCoord1d");
	glTexCoord1d(s);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texCoord1f_1)
{
	GLfloat s = init_fscalar(threadenv,argv,0,"glTexCoord1f");
	glTexCoord1f(s);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texCoord1fv_1)
{
	GLfloat * v = init_fvec(threadenv,argv,0,"glTexCoord1fv");
	glTexCoord1fv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texCoord1i_1)
{
	GLint s = init_iscalar(threadenv,argv,0,"glTexCoord1i");
	glTexCoord1i(s);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texCoord1iv_1)
{
	GLint * v = init_ivec(threadenv,argv,0,"glTexCoord1iv");
	glTexCoord1iv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texCoord2d_2)
{
	GLdouble s = init_dscalar(threadenv,argv,0,"glTexCoord2d");
	GLdouble t = init_dscalar(threadenv,argv,1,"glTexCoord2d");
	glTexCoord2d(s,t);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texCoord2f_2)
{
	GLfloat s = init_fscalar(threadenv,argv,0,"glTexCoord2f");
	GLfloat t = init_fscalar(threadenv,argv,1,"glTexCoord2f");
	glTexCoord2f(s,t);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texCoord2fv_1)
{
	GLfloat * v = init_fvec(threadenv,argv,0,"glTexCoord2fv");
	glTexCoord2fv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texCoord2i_2)
{
	GLint s = init_iscalar(threadenv,argv,0,"glTexCoord2i");
	GLint t = init_iscalar(threadenv,argv,1,"glTexCoord2i");
	glTexCoord2i(s,t);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texCoord2iv_1)
{
	GLint * v = init_ivec(threadenv,argv,0,"glTexCoord2iv");
	glTexCoord2iv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texCoord3d_3)
{
	GLdouble s = init_dscalar(threadenv,argv,0,"glTexCoord3d");
	GLdouble t = init_dscalar(threadenv,argv,1,"glTexCoord3d");
	GLdouble r = init_dscalar(threadenv,argv,2,"glTexCoord3d");
	glTexCoord3d(s,t,r);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texCoord3f_3)
{
	GLfloat s = init_fscalar(threadenv,argv,0,"glTexCoord3f");
	GLfloat t = init_fscalar(threadenv,argv,1,"glTexCoord3f");
	GLfloat r = init_fscalar(threadenv,argv,2,"glTexCoord3f");
	glTexCoord3f(s,t,r);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texCoord3fv_1)
{
	GLfloat * v = init_fvec(threadenv,argv,0,"glTexCoord3fv");
	glTexCoord3fv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texCoord3i_3)
{
	GLint s = init_iscalar(threadenv,argv,0,"glTexCoord3i");
	GLint t = init_iscalar(threadenv,argv,1,"glTexCoord3i");
	GLint r = init_iscalar(threadenv,argv,2,"glTexCoord3i");
	glTexCoord3i(s,t,r);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texCoord3iv_1)
{
	GLint * v = init_ivec(threadenv,argv,0,"glTexCoord3iv");
	glTexCoord3iv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texCoord4d_4)
{
	GLdouble s = init_dscalar(threadenv,argv,0,"glTexCoord4d");
	GLdouble t = init_dscalar(threadenv,argv,1,"glTexCoord4d");
	GLdouble r = init_dscalar(threadenv,argv,2,"glTexCoord4d");
	GLdouble q = init_dscalar(threadenv,argv,3,"glTexCoord4d");
	glTexCoord4d(s,t,r,q);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texCoord4f_4)
{
	GLfloat s = init_fscalar(threadenv,argv,0,"glTexCoord4f");
	GLfloat t = init_fscalar(threadenv,argv,1,"glTexCoord4f");
	GLfloat r = init_fscalar(threadenv,argv,2,"glTexCoord4f");
	GLfloat q = init_fscalar(threadenv,argv,3,"glTexCoord4f");
	glTexCoord4f(s,t,r,q);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texCoord4fv_1)
{
	GLfloat * v = init_fvec(threadenv,argv,0,"glTexCoord4fv");
	glTexCoord4fv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texCoord4i_4)
{
	GLint s = init_iscalar(threadenv,argv,0,"glTexCoord4i");
	GLint t = init_iscalar(threadenv,argv,1,"glTexCoord4i");
	GLint r = init_iscalar(threadenv,argv,2,"glTexCoord4i");
	GLint q = init_iscalar(threadenv,argv,3,"glTexCoord4i");
	glTexCoord4i(s,t,r,q);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texCoord4iv_1)
{
	GLint * v = init_ivec(threadenv,argv,0,"glTexCoord4iv");
	glTexCoord4iv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texEnvf_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glTexEnvf");
	GLenum pname = init_iscalar(threadenv,argv,1,"glTexEnvf");
	GLfloat param = init_fscalar(threadenv,argv,2,"glTexEnvf");
	glTexEnvf(target,pname,param);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texEnvfv_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glTexEnvfv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glTexEnvfv");
	GLfloat * params = init_fvec(threadenv,argv,2,"glTexEnvfv");
	glTexEnvfv(target,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texEnvi_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glTexEnvi");
	GLenum pname = init_iscalar(threadenv,argv,1,"glTexEnvi");
	GLint param = init_iscalar(threadenv,argv,2,"glTexEnvi");
	glTexEnvi(target,pname,param);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texEnviv_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glTexEnviv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glTexEnviv");
	GLint * params = init_ivec(threadenv,argv,2,"glTexEnviv");
	glTexEnviv(target,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texGend_3)
{
	GLenum coord = init_iscalar(threadenv,argv,0,"glTexGend");
	GLenum pname = init_iscalar(threadenv,argv,1,"glTexGend");
	GLdouble param = init_dscalar(threadenv,argv,2,"glTexGend");
	glTexGend(coord,pname,param);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texGenf_3)
{
	GLenum coord = init_iscalar(threadenv,argv,0,"glTexGenf");
	GLenum pname = init_iscalar(threadenv,argv,1,"glTexGenf");
	GLfloat param = init_fscalar(threadenv,argv,2,"glTexGenf");
	glTexGenf(coord,pname,param);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texGenfv_3)
{
	GLenum coord = init_iscalar(threadenv,argv,0,"glTexGenfv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glTexGenfv");
	GLfloat * params = init_fvec(threadenv,argv,2,"glTexGenfv");
	glTexGenfv(coord,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texGeni_3)
{
	GLenum coord = init_iscalar(threadenv,argv,0,"glTexGeni");
	GLenum pname = init_iscalar(threadenv,argv,1,"glTexGeni");
	GLint param = init_iscalar(threadenv,argv,2,"glTexGeni");
	glTexGeni(coord,pname,param);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texGeniv_3)
{
	GLenum coord = init_iscalar(threadenv,argv,0,"glTexGeniv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glTexGeniv");
	GLint * params = init_ivec(threadenv,argv,2,"glTexGeniv");
	glTexGeniv(coord,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texParameterf_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glTexParameterf");
	GLenum pname = init_iscalar(threadenv,argv,1,"glTexParameterf");
	GLfloat param = init_fscalar(threadenv,argv,2,"glTexParameterf");
	glTexParameterf(target,pname,param);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texParameterfv_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glTexParameterfv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glTexParameterfv");
	GLfloat * params = init_fvec(threadenv,argv,2,"glTexParameterfv");
	glTexParameterfv(target,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texParameteri_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glTexParameteri");
	GLenum pname = init_iscalar(threadenv,argv,1,"glTexParameteri");
	GLint param = init_iscalar(threadenv,argv,2,"glTexParameteri");
	glTexParameteri(target,pname,param);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_texParameteriv_3)
{
	GLenum target = init_iscalar(threadenv,argv,0,"glTexParameteriv");
	GLenum pname = init_iscalar(threadenv,argv,1,"glTexParameteriv");
	GLint * params = init_ivec(threadenv,argv,2,"glTexParameteriv");
	glTexParameteriv(target,pname,params);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_translated_3)
{
	GLdouble x = init_dscalar(threadenv,argv,0,"glTranslated");
	GLdouble y = init_dscalar(threadenv,argv,1,"glTranslated");
	GLdouble z = init_dscalar(threadenv,argv,2,"glTranslated");
	glTranslated(x,y,z);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_translatef_3)
{
	GLfloat x = init_fscalar(threadenv,argv,0,"glTranslatef");
	GLfloat y = init_fscalar(threadenv,argv,1,"glTranslatef");
	GLfloat z = init_fscalar(threadenv,argv,2,"glTranslatef");
	glTranslatef(x,y,z);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_vertex2d_2)
{
	GLdouble x = init_dscalar(threadenv,argv,0,"glVertex2d");
	GLdouble y = init_dscalar(threadenv,argv,1,"glVertex2d");
	glVertex2d(x,y);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_vertex2f_2)
{
	GLfloat x = init_fscalar(threadenv,argv,0,"glVertex2f");
	GLfloat y = init_fscalar(threadenv,argv,1,"glVertex2f");
	glVertex2f(x,y);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_vertex2fv_1)
{
	GLfloat * v = init_fvec(threadenv,argv,0,"glVertex2fv");
	glVertex2fv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_vertex2i_2)
{
	GLint x = init_iscalar(threadenv,argv,0,"glVertex2i");
	GLint y = init_iscalar(threadenv,argv,1,"glVertex2i");
	glVertex2i(x,y);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_vertex2iv_1)
{
	GLint * v = init_ivec(threadenv,argv,0,"glVertex2iv");
	glVertex2iv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_vertex3d_3)
{
	GLdouble x = init_dscalar(threadenv,argv,0,"glVertex3d");
	GLdouble y = init_dscalar(threadenv,argv,1,"glVertex3d");
	GLdouble z = init_dscalar(threadenv,argv,2,"glVertex3d");
	glVertex3d(x,y,z);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_vertex3f_3)
{
	GLfloat x = init_fscalar(threadenv,argv,0,"glVertex3f");
	GLfloat y = init_fscalar(threadenv,argv,1,"glVertex3f");
	GLfloat z = init_fscalar(threadenv,argv,2,"glVertex3f");
	glVertex3f(x,y,z);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_vertex3fv_1)
{
	GLfloat * v = init_fvec(threadenv,argv,0,"glVertex3fv");
	glVertex3fv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_vertex3i_3)
{
	GLint x = init_iscalar(threadenv,argv,0,"glVertex3i");
	GLint y = init_iscalar(threadenv,argv,1,"glVertex3i");
	GLint z = init_iscalar(threadenv,argv,2,"glVertex3i");
	glVertex3i(x,y,z);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_vertex3iv_1)
{
	GLint * v = init_ivec(threadenv,argv,0,"glVertex3iv");
	glVertex3iv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_vertex4d_4)
{
	GLdouble x = init_dscalar(threadenv,argv,0,"glVertex4d");
	GLdouble y = init_dscalar(threadenv,argv,1,"glVertex4d");
	GLdouble z = init_dscalar(threadenv,argv,2,"glVertex4d");
	GLdouble w = init_dscalar(threadenv,argv,3,"glVertex4d");
	glVertex4d(x,y,z,w);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_vertex4f_4)
{
	GLfloat x = init_fscalar(threadenv,argv,0,"glVertex4f");
	GLfloat y = init_fscalar(threadenv,argv,1,"glVertex4f");
	GLfloat z = init_fscalar(threadenv,argv,2,"glVertex4f");
	GLfloat w = init_fscalar(threadenv,argv,3,"glVertex4f");
	glVertex4f(x,y,z,w);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_vertex4fv_1)
{
	GLfloat * v = init_fvec(threadenv,argv,0,"glVertex4fv");
	glVertex4fv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_vertex4i_4)
{
	GLint x = init_iscalar(threadenv,argv,0,"glVertex4i");
	GLint y = init_iscalar(threadenv,argv,1,"glVertex4i");
	GLint z = init_iscalar(threadenv,argv,2,"glVertex4i");
	GLint w = init_iscalar(threadenv,argv,3,"glVertex4i");
	glVertex4i(x,y,z,w);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_vertex4iv_1)
{
	GLint * v = init_ivec(threadenv,argv,0,"glVertex4iv");
	glVertex4iv(v);
	return LTL_NIL;
}

LTL_METHOD_DECL(GL_Metagl_viewport_4)
{
	GLint x = init_iscalar(threadenv,argv,0,"glViewport");
	GLint y = init_iscalar(threadenv,argv,1,"glViewport");
	GLsizei width = init_iscalar(threadenv,argv,2,"glViewport");
	GLsizei height = init_iscalar(threadenv,argv,3,"glViewport");
	glViewport(x,y,width,height);
	return LTL_NIL;
}

